## game
Class SeqIOTatler

    java.lang.Object
      org.biojava.bio.seq.io.SeqIOAdapter
          game.SeqIOTatler

All Implemented Interfaces:
  org.biojava.bio.seq.io.SeqIOListener

    public class SeqIOTatler

extends org.biojava.bio.seq.io.SeqIOAdapter

dumps events being passed to the class

Constructor Summary
`SeqIOTatler()`

Method Summary
`void` `addFeatureProperty(Object key, Object value)`
`void` `addSequenceProperty(Object key, Object value)`
`void` `addSymbols(org.biojava.bio.symbol.Alphabet alpha, org.biojava.bio.symbol.Symbol[] syms, int start, int length)`
`void` `endFeature()`
`void` `endSequence()`
`void` `setName(String name)`
`void` `startFeature(org.biojava.bio.seq.Feature.Template feature)`
`void` `startSequence()`

Methods inherited from class org.biojava.bio.seq.io.SeqIOAdapter
`setURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SeqIOTatler

    public SeqIOTatler()

Method Detail

### addFeatureProperty

    public void addFeatureProperty(Object key,
                                   Object value)

  Specified by:
    `addFeatureProperty` in interface `org.biojava.bio.seq.io.SeqIOListener`
  Overrides:
    `addFeatureProperty` in class `org.biojava.bio.seq.io.SeqIOAdapter`

### addSequenceProperty

    public void addSequenceProperty(Object key,
                                    Object value)

  Specified by:
    `addSequenceProperty` in interface `org.biojava.bio.seq.io.SeqIOListener`
  Overrides:
    `addSequenceProperty` in class `org.biojava.bio.seq.io.SeqIOAdapter`

### endFeature

    public void endFeature()

  Specified by:
    `endFeature` in interface `org.biojava.bio.seq.io.SeqIOListener`
  Overrides:
    `endFeature` in class `org.biojava.bio.seq.io.SeqIOAdapter`

### endSequence

    public void endSequence()

  Specified by:
    `endSequence` in interface `org.biojava.bio.seq.io.SeqIOListener`
  Overrides:
    `endSequence` in class `org.biojava.bio.seq.io.SeqIOAdapter`

### setName

    public void setName(String name)

  Specified by:
    `setName` in interface `org.biojava.bio.seq.io.SeqIOListener`
  Overrides:
    `setName` in class `org.biojava.bio.seq.io.SeqIOAdapter`

### startFeature

    public void startFeature(org.biojava.bio.seq.Feature.Template feature)

  Specified by:
    `startFeature` in interface `org.biojava.bio.seq.io.SeqIOListener`
  Overrides:
    `startFeature` in class `org.biojava.bio.seq.io.SeqIOAdapter`

### startSequence

    public void startSequence()

  Specified by:
    `startSequence` in interface `org.biojava.bio.seq.io.SeqIOListener`
  Overrides:
    `startSequence` in class `org.biojava.bio.seq.io.SeqIOAdapter`

### addSymbols

    public void addSymbols(org.biojava.bio.symbol.Alphabet alpha,
                           org.biojava.bio.symbol.Symbol[] syms,
                           int start,
                           int length)

  Specified by:
    `addSymbols` in interface `org.biojava.bio.seq.io.SeqIOListener`
  Overrides:
    `addSymbols` in class `org.biojava.bio.seq.io.SeqIOAdapter`